Index: acconfig.h
===================================================================
RCS file: /cvsroot/nagiosplug/nagiosplug/acconfig.h,v
retrieving revision 1.6
diff -u -p -u -r1.6 acconfig.h
--- acconfig.h	14 Nov 2002 18:25:08 -0000	1.6
+++ acconfig.h	19 Dec 2002 17:29:09 -0000
@@ -49,6 +49,8 @@
 #undef USE_PS_VARS
 #undef VSZ_COMMAND
 #undef VSZ_FORMAT
+#undef CPU_COMMAND
+#undef CPU_FORMAT
 #undef WHO_COMMAND
 #undef PACKAGE
 #undef VERSION
Index: configure.in
===================================================================
RCS file: /cvsroot/nagiosplug/nagiosplug/configure.in,v
retrieving revision 1.29
diff -u -p -u -r1.29 configure.in
--- configure.in	22 Nov 2002 02:46:49 -0000	1.29
+++ configure.in	19 Dec 2002 17:29:09 -0000
@@ -185,10 +185,12 @@ fi
 if test "$ac_cv_lib_mysqlclient_mysql_init" = "yes" -o "$ac_cv_lib_mysqlclient_mysql_close" = "yes"; then
   AC_CHECK_HEADERS(mysql/mysql.h mysql/errmsg.h, MYSQLINCLUDE="-I$MYSQL/include" )
   if test "$ac_cv_header_mysql_mysql_h" = "yes" -a "$ac_cv_header_mysql_errmsg_h" = "yes"; then
-    EXTRAS="$EXTRAS check_mysql"
+    EXTRAS="$EXTRAS check_mysql check_mysql_replication"
     AC_SUBST(MYSQLINCLUDE)
     AC_SUBST(MYSQLLIBS)
     AC_SUBST(check_mysql_LDFLAGS)
+    check_mysql_replication="$check_mysql_LDFLAGS"
+    AC_SUBST(check_mysql_replication_LDFLAGS)
   else
     AC_MSG_WARN([Skipping mysql plugin])
     AC_MSG_WARN([install mysql client headers to compile this plugin (see Requirements).])
@@ -427,7 +429,7 @@ then
 	AC_DEFINE_UNQUOTED(VSZ_FORMAT,"%d %s",[])
 	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS waxco 'rss command'",[])
 	AC_DEFINE_UNQUOTED(RSS_FORMAT,"%d %s",[])
-	echo "      ps syntax... $PATH_TO_PS -Ao 'state command vsz rss'"
+	echo "      ps syntax... $PATH_TO_PS waxco 'state command vsz rss'"
 dnl BSD-like mode in RH 6.1
 elif [ps waxno 'state comm vsz rss uid user ppid args' 2>/dev/null | egrep -i "^S +COMMAND +VSZ +RSS +UID +USER +PPID +[RGSCOMDNA]+" >/dev/null]
 then
@@ -623,6 +625,14 @@ then
 else
 	echo "** Unable to find usable ps syntax"
 fi
+
+dnl
+dnl CHECK_CPU
+dnl
+
+AC_DEFINE_UNQUOTED(CPU_COMMAND,"$PATH_TO_PS waxco '%cpu command'",[])
+AC_DEFINE_UNQUOTED(CPU_FORMAT,"%f %s",[])
+EXTRAS="$EXTRAS check_cpu"
 
 AC_ARG_WITH(df_command,--with-df-command=<syntax> sets syntax for df,DF_COMMAND=$withval)
 if test -n "$DF_COMMAND"
Index: plugins/Makefile.am
===================================================================
RCS file: /cvsroot/nagiosplug/nagiosplug/plugins/Makefile.am,v
retrieving revision 1.16
diff -u -p -u -r1.16 Makefile.am
--- plugins/Makefile.am	19 Nov 2002 19:13:07 -0000	1.16
+++ plugins/Makefile.am	19 Dec 2002 17:29:09 -0000
@@ -12,7 +12,8 @@ libexec_PROGRAMS = check_disk check_dumm
 
 EXTRA_PROGRAMS = check_mysql check_radius check_pgsql check_snmp check_hpjd \
 	check_swap check_fping check_ldap check_game check_dig \
-	check_nagios check_by_ssh check_dns
+	check_nagios check_by_ssh check_dns \
+	check_mysql_replication check_cpu
 
 check_tcp_programs = check_ftp check_imap check_nntp check_pop
 
@@ -37,6 +38,7 @@ AM_INSTALL_PROGRAM_FLAGS = @INSTALL_OPTS
 ##############################################################################
 # the actual targets
 
+check_cpu_LDADD = $(BASEOBJS) popen.o
 check_dig_LDADD = $(BASEOBJS) popen.o
 check_disk_LDADD = $(BASEOBJS) popen.o
 check_dns_LDADD = $(BASEOBJS) popen.o
@@ -50,6 +52,7 @@ check_load_LDADD = $(BASEOBJS) popen.o
 check_mrtg_LDADD = $(BASEOBJS)
 check_mrtgtraf_LDADD = $(BASEOBJS)
 check_mysql_LDADD = $(BASEOBJS) $(MYSQLLIBS)
+check_mysql_replication_LDADD = $(BASEOBJS) $(MYSQLLIBS)
 check_nagios_LDADD = $(BASEOBJS) popen.o
 check_nwstat_LDADD = $(NETLIBS)
 check_overcr_LDADD = $(NETLIBS)
@@ -72,6 +75,7 @@ check_by_ssh_LDADD = $(BASEOBJS) popen.o
 negate_LDADD = $(BASEOBJS) popen.o
 urlize_LDADD = $(BASEOBJS) popen.o
 
+check_cpu_DEPENDENCIES = check_cpu.c $(BASEOBJS) popen.o $(DEPLIBS)
 check_dig_DEPENDENCIES = check_dig.c $(BASEOBJS) popen.o $(DEPLIBS)
 check_disk_DEPENDENCIES = check_disk.c $(BASEOBJS) popen.o $(DEPLIBS)
 check_dns_DEPENDENCIES = check_dns.c $(BASEOBJS) popen.o $(DEPLIBS)
@@ -85,6 +89,7 @@ check_load_DEPENDENCIES = check_load.c $
 check_mrtg_DEPENDENCIES = check_mrtg.c  $(DEPLIBS)
 check_mrtgtraf_DEPENDENCIES = check_mrtgtraf.c  $(DEPLIBS)
 check_mysql_DEPENDENCIES = check_mysql.c  $(DEPLIBS)
+check_mysql_replication_DEPENDENCIES = check_mysql_replication.c  $(DEPLIBS)
 check_nagios_DEPENDENCIES = check_nagios.c $(BASEOBJS) popen.o $(DEPLIBS)
 check_nwstat_DEPENDENCIES = check_nwstat.c $(NETOBJS) $(DEPLIBS)
 check_overcr_DEPENDENCIES = check_overcr.c $(NETOBJS) $(DEPLIBS)
